#ifndef MAPPRIMITIVE_H
#define MAPPRIMITIVE_H

/* feature primitives */
typedef struct {
  double x;
  double y;
} pointObj;

typedef struct {
  int numpoints;
  pointObj *point;
} lineObj;

typedef struct {
  int numlines;
  lineObj *line;
} shapeObj;

typedef lineObj multipointObj;

typedef struct {
  double minx, miny, maxx, maxy;
} rectObj;

#endif /* MAPPRIMITIVE_H */
